﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="ModeloSAT.Store" Alias="Self" Provider="System.Data.SqlClient" ProviderManifestToken="2012" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
  <EntityContainer Name="ModeloSATStoreContainer">
    <EntitySet Name="satc_AduanaSet" EntityType="ModeloSAT.Store.satc_AduanaSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_ClaveProdServSet" EntityType="ModeloSAT.Store.satc_ClaveProdServSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_ClaveUnidadSet" EntityType="ModeloSAT.Store.satc_ClaveUnidadSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_CodigoPostalSet" EntityType="ModeloSAT.Store.satc_CodigoPostalSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_FormaPagoSet" EntityType="ModeloSAT.Store.satc_FormaPagoSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_ImpuestoSet" EntityType="ModeloSAT.Store.satc_ImpuestoSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_MetodoPagoSet" EntityType="ModeloSAT.Store.satc_MetodoPagoSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_MonedaSet" EntityType="ModeloSAT.Store.satc_MonedaSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_NumPedimentoAduanaSet" EntityType="ModeloSAT.Store.satc_NumPedimentoAduanaSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_UsoCFDISet" EntityType="ModeloSAT.Store.satc_UsoCFDISet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_TipoRelacionSet" EntityType="ModeloSAT.Store.satc_TipoRelacionSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_TipoFactorSet" EntityType="ModeloSAT.Store.satc_TipoFactorSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_TipoDeComprobanteSet" EntityType="ModeloSAT.Store.satc_TipoDeComprobanteSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_TasaOCuotaSet" EntityType="ModeloSAT.Store.satc_TasaOCuotaSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_RegimenFiscalSet" EntityType="ModeloSAT.Store.satc_RegimenFiscalSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_PatenteAduanalSet" EntityType="ModeloSAT.Store.satc_PatenteAduanalSet" store:Type="Tables" Schema="dbo" />
    <EntitySet Name="satc_PaisSet" EntityType="ModeloSAT.Store.satc_PaisSet" store:Type="Tables" Schema="dbo" />
  </EntityContainer>
  <EntityType Name="satc_AduanaSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_Aduana" Type="nvarchar" Nullable="false" MaxLength="10" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
  </EntityType>
  <EntityType Name="satc_ClaveProdServSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_ClaveProdServ" Type="nvarchar(max)" Nullable="false" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="incluirIVAtrasladado" Type="nvarchar(max)" Nullable="false" />
    <Property Name="incluirIEPStrasladado" Type="nvarchar(max)" Nullable="false" />
    <Property Name="complemento" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_ClaveUnidadSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_ClaveUnidad" Type="nvarchar" Nullable="false" MaxLength="10" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="nombre" Type="nvarchar(max)" Nullable="false" />
    <Property Name="nota" Type="nvarchar(max)" Nullable="false" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="simbolo" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_CodigoPostalSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_CodigoPostal" Type="nvarchar" Nullable="false" MaxLength="10" />
    <Property Name="c_Estado" Type="nvarchar(max)" Nullable="false" />
    <Property Name="c_Municipio" Type="nvarchar(max)" Nullable="false" />
    <Property Name="c_Localidad" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_FormaPagoSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_FormaPago" Type="nvarchar(max)" Nullable="false" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="bancarizado" Type="bit" Nullable="false" />
    <Property Name="numeroOperacion" Type="bit" Nullable="false" />
    <Property Name="rfcEmisorCuentaOrdenante" Type="bit" Nullable="false" />
    <Property Name="cuentaOrdenante" Type="bit" Nullable="false" />
    <Property Name="patronCuentaOrdenante" Type="nvarchar(max)" Nullable="false" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="rfcEmisorCuentaBeneficiario" Type="bit" Nullable="false" />
    <Property Name="cuentaBeneficiario" Type="bit" Nullable="false" />
    <Property Name="patronCuentaBeneficiaria" Type="nvarchar(max)" Nullable="false" />
    <Property Name="tipoCadenaPago" Type="bit" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_ImpuestoSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_Impuesto" Type="nvarchar(max)" Nullable="false" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="retencion" Type="bit" Nullable="false" />
    <Property Name="traslado" Type="bit" Nullable="false" />
    <Property Name="localOfederal" Type="nvarchar(max)" Nullable="false" />
    <Property Name="entidad" Type="nvarchar(max)" Nullable="true" />
  </EntityType>
  <EntityType Name="satc_MetodoPagoSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_MetodoPago" Type="nvarchar(max)" Nullable="false" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
  </EntityType>
  <EntityType Name="satc_MonedaSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_Moneda" Type="nvarchar(max)" Nullable="false" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="decimales" Type="nvarchar(max)" Nullable="false" />
    <Property Name="porcentajeVariacion" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_NumPedimentoAduanaSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="c_Aduana" Type="nvarchar(max)" Nullable="false" />
    <Property Name="patente" Type="nvarchar(max)" Nullable="false" />
    <Property Name="ejercicio" Type="nvarchar(max)" Nullable="false" />
    <Property Name="cantidad" Type="nvarchar(max)" Nullable="false" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
  </EntityType>
  <EntityType Name="satc_UsoCFDISet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="c_UsoCFDI" Type="nvarchar(max)" Nullable="false" />
    <Property Name="fisica" Type="bit" Nullable="false" />
    <Property Name="moral" Type="bit" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_TipoRelacionSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="c_TipoRelacion" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_TipoFactorSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="c_TipoFactor" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_TipoDeComprobanteSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="c_TipoDeComprobante" Type="nvarchar(max)" Nullable="false" />
    <Property Name="valorMaximo" Type="decimal" Nullable="false" />
    <Property Name="ns" Type="nvarchar(max)" Nullable="false" />
    <Property Name="nds" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_TasaOCuotaSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="retencion" Type="bit" Nullable="false" />
    <Property Name="traslado" Type="bit" Nullable="false" />
    <Property Name="factor" Type="nvarchar(max)" Nullable="false" />
    <Property Name="impuesto" Type="nvarchar(max)" Nullable="false" />
    <Property Name="c_TasaOCuota" Type="decimal" Nullable="false" />
    <Property Name="minimo" Type="decimal" Nullable="false" />
    <Property Name="maximo" Type="decimal" Nullable="false" />
    <Property Name="rangoOFijo" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_RegimenFiscalSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="fisica" Type="bit" Nullable="false" />
    <Property Name="moral" Type="bit" Nullable="false" />
    <Property Name="c_RegimenFiscal" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_PatenteAduanalSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="c_PatenteAduanal" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
  <EntityType Name="satc_PaisSet">
    <Key>
      <PropertyRef Name="Id" />
    </Key>
    <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
    <Property Name="fechaInicioVigencia" Type="datetime" Nullable="true" />
    <Property Name="fechaFinVigencia" Type="datetime" Nullable="true" />
    <Property Name="descripcion" Type="nvarchar" Nullable="false" MaxLength="250" />
    <Property Name="validacionRegistro" Type="nvarchar(max)" Nullable="false" />
    <Property Name="formatoRegistro" Type="nvarchar(max)" Nullable="false" />
    <Property Name="formatoCodigo" Type="nvarchar(max)" Nullable="false" />
    <Property Name="c_Pais" Type="nvarchar(max)" Nullable="false" />
  </EntityType>
</Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema xmlns="http://schemas.microsoft.com/ado/2009/11/edm" xmlns:cg="http://schemas.microsoft.com/ado/2006/04/codegeneration" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" Namespace="ModeloSAT" Alias="Self" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" annotation:UseStrongSpatialTypes="false">
        <EntityContainer Name="ModeloSATContainer" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="satc_AduanaSet" EntityType="ModeloSAT.satc_Aduana" />
          <EntitySet Name="satc_ClaveProdServSet" EntityType="ModeloSAT.satc_ClaveProdServ" />
          <EntitySet Name="satc_ClaveUnidadSet" EntityType="ModeloSAT.satc_ClaveUnidad" />
          <EntitySet Name="satc_CodigoPostalSet" EntityType="ModeloSAT.satc_CodigoPostal" />
          <EntitySet Name="satc_FormaPagoSet" EntityType="ModeloSAT.satc_FormaPago" />
          <EntitySet Name="satc_ImpuestoSet" EntityType="ModeloSAT.satc_Impuesto" />
          <EntitySet Name="satc_MetodoPagoSet" EntityType="ModeloSAT.satc_MetodoPago" />
          <EntitySet Name="satc_MonedaSet" EntityType="ModeloSAT.satc_Moneda" />
		  <EntitySet Name="satc_NumPedimentoAduanaSet" EntityType="ModeloSAT.satc_NumPedimentoAduana" />
          <EntitySet Name="satc_UsoCFDISet" EntityType="ModeloSAT.satc_UsoCFDI" />
          <EntitySet Name="satc_TipoRelacionSet" EntityType="ModeloSAT.satc_TipoRelacion" />
          <EntitySet Name="satc_TipoFactorSet" EntityType="ModeloSAT.satc_TipoFactor" />
          <EntitySet Name="satc_TipoDeComprobanteSet" EntityType="ModeloSAT.satc_TipoDeComprobante" />
          <EntitySet Name="satc_TasaOCuotaSet" EntityType="ModeloSAT.satc_TasaOCuota" />
          <EntitySet Name="satc_RegimenFiscalSet" EntityType="ModeloSAT.satc_RegimenFiscal" />
          <EntitySet Name="satc_PatenteAduanalSet" EntityType="ModeloSAT.satc_PatenteAduanal" />
          <EntitySet Name="satc_PaisSet" EntityType="ModeloSAT.satc_Pais" />		  
        </EntityContainer>
		<EntityType Name="satc_Aduana">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_Aduana" Type="String" Nullable="false" MaxLength="10" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
        </EntityType>
        <EntityType Name="satc_ClaveProdServ">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_ClaveProdServ" Type="String" Nullable="false" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="incluirIVAtrasladado" Type="String" Nullable="false" />
          <Property Name="incluirIEPStrasladado" Type="String" Nullable="false" />
          <Property Name="complemento" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_ClaveUnidad">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_ClaveUnidad" Type="String" Nullable="false" MaxLength="10" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="nombre" Type="String" Nullable="false" />
          <Property Name="nota" Type="String" Nullable="false" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="simbolo" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_CodigoPostal">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_CodigoPostal" Type="String" Nullable="false" MaxLength="10" />
          <Property Name="c_Estado" Type="String" Nullable="false" />
          <Property Name="c_Municipio" Type="String" Nullable="false" />
          <Property Name="c_Localidad" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_FormaPago">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_FormaPago" Type="String" Nullable="false" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="bancarizado" Type="Boolean" Nullable="false" />
          <Property Name="numeroOperacion" Type="Boolean" Nullable="false" />
          <Property Name="rfcEmisorCuentaOrdenante" Type="Boolean" Nullable="false" />
          <Property Name="cuentaOrdenante" Type="Boolean" Nullable="false" />
          <Property Name="patronCuentaOrdenante" Type="String" Nullable="false" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="rfcEmisorCuentaBeneficiario" Type="Boolean" Nullable="false" />
          <Property Name="cuentaBeneficiario" Type="Boolean" Nullable="false" />
          <Property Name="patronCuentaBeneficiaria" Type="String" Nullable="false" />
          <Property Name="tipoCadenaPago" Type="Boolean" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_Impuesto">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_Impuesto" Type="String" Nullable="false" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="retencion" Type="Boolean" Nullable="false" />
          <Property Name="traslado" Type="Boolean" Nullable="false" />
          <Property Name="localOfederal" Type="String" Nullable="false" />
          <Property Name="entidad" Type="String" Nullable="true" />
        </EntityType>
        <EntityType Name="satc_MetodoPago">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_MetodoPago" Type="String" Nullable="false" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
        </EntityType>
        <EntityType Name="satc_Moneda">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_Moneda" Type="String" Nullable="false" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="decimales" Type="String" Nullable="false" />
          <Property Name="porcentajeVariacion" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_NumPedimentoAduana">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="c_Aduana" Type="String" Nullable="false" />
          <Property Name="patente" Type="String" Nullable="false" />
          <Property Name="ejercicio" Type="String" Nullable="false" />
          <Property Name="cantidad" Type="String" Nullable="false" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
        </EntityType>        
		<EntityType Name="satc_UsoCFDI">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="c_UsoCFDI" Type="String" Nullable="false" />
          <Property Name="fisica" Type="Boolean" Nullable="false" />
          <Property Name="moral" Type="Boolean" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_TipoRelacion">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="c_TipoRelacion" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_TipoFactor">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="c_TipoFactor" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_TipoDeComprobante">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="c_TipoDeComprobante" Type="String" Nullable="false" />
          <Property Name="valorMaximo" Type="Decimal" Nullable="false" />
          <Property Name="ns" Type="String" Nullable="false" />
          <Property Name="nds" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_TasaOCuota">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="retencion" Type="Boolean" Nullable="false" />
          <Property Name="traslado" Type="Boolean" Nullable="false" />
          <Property Name="factor" Type="String" Nullable="false" />
          <Property Name="impuesto" Type="String" Nullable="false" />
          <Property Name="c_TasaOCuota" Type="Decimal" Nullable="false" />
          <Property Name="minimo" Type="Decimal" Nullable="false" />
          <Property Name="maximo" Type="Decimal" Nullable="false" />
          <Property Name="rangoOFijo" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_RegimenFiscal">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fisica" Type="Boolean" Nullable="false" />
          <Property Name="moral" Type="Boolean" Nullable="false" />
          <Property Name="c_RegimenFiscal" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_PatenteAduanal">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="c_PatenteAduanal" Type="String" Nullable="false" />
        </EntityType>
        <EntityType Name="satc_Pais">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="fechaInicioVigencia" Type="DateTime" Nullable="true" />
          <Property Name="fechaFinVigencia" Type="DateTime" Nullable="true" />
          <Property Name="descripcion" Type="String" Nullable="false" MaxLength="250" />
          <Property Name="validacionRegistro" Type="String" Nullable="false" />
          <Property Name="formatoRegistro" Type="String" Nullable="false" />
          <Property Name="formatoCodigo" Type="String" Nullable="false" />
          <Property Name="c_Pais" Type="String" Nullable="false" />
        </EntityType>		
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
    <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
  <EntityContainerMapping StorageEntityContainer="ModeloSATStoreContainer" CdmEntityContainer="ModeloSATContainer">
    <EntitySetMapping Name="satc_AduanaSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_Aduana)">
        <MappingFragment StoreEntitySet="satc_AduanaSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_Aduana" ColumnName="c_Aduana" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_ClaveProdServSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_ClaveProdServ)">
        <MappingFragment StoreEntitySet="satc_ClaveProdServSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_ClaveProdServ" ColumnName="c_ClaveProdServ" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="incluirIVAtrasladado" ColumnName="incluirIVAtrasladado" />
          <ScalarProperty Name="incluirIEPStrasladado" ColumnName="incluirIEPStrasladado" />
          <ScalarProperty Name="complemento" ColumnName="complemento" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_ClaveUnidadSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_ClaveUnidad)">
        <MappingFragment StoreEntitySet="satc_ClaveUnidadSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_ClaveUnidad" ColumnName="c_ClaveUnidad" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="nombre" ColumnName="nombre" />
          <ScalarProperty Name="nota" ColumnName="nota" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="simbolo" ColumnName="simbolo" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_CodigoPostalSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_CodigoPostal)">
        <MappingFragment StoreEntitySet="satc_CodigoPostalSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_CodigoPostal" ColumnName="c_CodigoPostal" />
          <ScalarProperty Name="c_Estado" ColumnName="c_Estado" />
          <ScalarProperty Name="c_Municipio" ColumnName="c_Municipio" />
          <ScalarProperty Name="c_Localidad" ColumnName="c_Localidad" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_FormaPagoSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_FormaPago)">
        <MappingFragment StoreEntitySet="satc_FormaPagoSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_FormaPago" ColumnName="c_FormaPago" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="bancarizado" ColumnName="bancarizado" />
          <ScalarProperty Name="numeroOperacion" ColumnName="numeroOperacion" />
          <ScalarProperty Name="rfcEmisorCuentaOrdenante" ColumnName="rfcEmisorCuentaOrdenante" />
          <ScalarProperty Name="cuentaOrdenante" ColumnName="cuentaOrdenante" />
          <ScalarProperty Name="patronCuentaOrdenante" ColumnName="patronCuentaOrdenante" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="rfcEmisorCuentaBeneficiario" ColumnName="rfcEmisorCuentaBeneficiario" />
          <ScalarProperty Name="cuentaBeneficiario" ColumnName="cuentaBeneficiario" />
          <ScalarProperty Name="patronCuentaBeneficiaria" ColumnName="patronCuentaBeneficiaria" />
          <ScalarProperty Name="tipoCadenaPago" ColumnName="tipoCadenaPago" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_ImpuestoSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_Impuesto)">
        <MappingFragment StoreEntitySet="satc_ImpuestoSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_Impuesto" ColumnName="c_Impuesto" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="retencion" ColumnName="retencion" />
          <ScalarProperty Name="traslado" ColumnName="traslado" />
          <ScalarProperty Name="localOfederal" ColumnName="localOfederal" />
          <ScalarProperty Name="entidad" ColumnName="entidad" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_MetodoPagoSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_MetodoPago)">
        <MappingFragment StoreEntitySet="satc_MetodoPagoSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_MetodoPago" ColumnName="c_MetodoPago" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_MonedaSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_Moneda)">
        <MappingFragment StoreEntitySet="satc_MonedaSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_Moneda" ColumnName="c_Moneda" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="decimales" ColumnName="decimales" />
          <ScalarProperty Name="porcentajeVariacion" ColumnName="porcentajeVariacion" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_NumPedimentoAduanaSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_NumPedimentoAduana)">
        <MappingFragment StoreEntitySet="satc_NumPedimentoAduanaSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="c_Aduana" ColumnName="c_Aduana" />
          <ScalarProperty Name="patente" ColumnName="patente" />
          <ScalarProperty Name="ejercicio" ColumnName="ejercicio" />
          <ScalarProperty Name="cantidad" ColumnName="cantidad" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_UsoCFDISet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_UsoCFDI)">
        <MappingFragment StoreEntitySet="satc_UsoCFDISet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="c_UsoCFDI" ColumnName="c_UsoCFDI" />
          <ScalarProperty Name="fisica" ColumnName="fisica" />
          <ScalarProperty Name="moral" ColumnName="moral" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_TipoRelacionSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_TipoRelacion)">
        <MappingFragment StoreEntitySet="satc_TipoRelacionSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="c_TipoRelacion" ColumnName="c_TipoRelacion" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_TipoFactorSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_TipoFactor)">
        <MappingFragment StoreEntitySet="satc_TipoFactorSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="c_TipoFactor" ColumnName="c_TipoFactor" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_TipoDeComprobanteSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_TipoDeComprobante)">
        <MappingFragment StoreEntitySet="satc_TipoDeComprobanteSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="c_TipoDeComprobante" ColumnName="c_TipoDeComprobante" />
          <ScalarProperty Name="valorMaximo" ColumnName="valorMaximo" />
          <ScalarProperty Name="ns" ColumnName="ns" />
          <ScalarProperty Name="nds" ColumnName="nds" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_TasaOCuotaSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_TasaOCuota)">
        <MappingFragment StoreEntitySet="satc_TasaOCuotaSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="retencion" ColumnName="retencion" />
          <ScalarProperty Name="traslado" ColumnName="traslado" />
          <ScalarProperty Name="factor" ColumnName="factor" />
          <ScalarProperty Name="impuesto" ColumnName="impuesto" />
          <ScalarProperty Name="c_TasaOCuota" ColumnName="c_TasaOCuota" />
          <ScalarProperty Name="minimo" ColumnName="minimo" />
          <ScalarProperty Name="maximo" ColumnName="maximo" />
          <ScalarProperty Name="rangoOFijo" ColumnName="rangoOFijo" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_RegimenFiscalSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_RegimenFiscal)">
        <MappingFragment StoreEntitySet="satc_RegimenFiscalSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="fisica" ColumnName="fisica" />
          <ScalarProperty Name="moral" ColumnName="moral" />
          <ScalarProperty Name="c_RegimenFiscal" ColumnName="c_RegimenFiscal" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_PatenteAduanalSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_PatenteAduanal)">
        <MappingFragment StoreEntitySet="satc_PatenteAduanalSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="c_PatenteAduanal" ColumnName="c_PatenteAduanal" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
    <EntitySetMapping Name="satc_PaisSet">
      <EntityTypeMapping TypeName="IsTypeOf(ModeloSAT.satc_Pais)">
        <MappingFragment StoreEntitySet="satc_PaisSet">
          <ScalarProperty Name="Id" ColumnName="Id" />
          <ScalarProperty Name="fechaInicioVigencia" ColumnName="fechaInicioVigencia" />
          <ScalarProperty Name="fechaFinVigencia" ColumnName="fechaFinVigencia" />
          <ScalarProperty Name="descripcion" ColumnName="descripcion" />
          <ScalarProperty Name="validacionRegistro" ColumnName="validacionRegistro" />
          <ScalarProperty Name="formatoRegistro" ColumnName="formatoRegistro" />
          <ScalarProperty Name="formatoCodigo" ColumnName="formatoCodigo" />
          <ScalarProperty Name="c_Pais" ColumnName="c_Pais" />
        </MappingFragment>
      </EntityTypeMapping>
    </EntitySetMapping>
  </EntityContainerMapping>
</Mapping></edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <edmx:Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <edmx:Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </edmx:Connection>
    <edmx:Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="False" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
        <DesignerProperty Name="UseLegacyProvider" Value="False" />
      </DesignerInfoPropertySet>
    </edmx:Options>
    <!-- Diagram content (shape and connector positions) -->
    <edmx:Diagrams>
    </edmx:Diagrams>
  </edmx:Designer>
</edmx:Edmx>
